XnOSStrings.h File Reference
`#include "XnPlatform.h"`
`#include <stdarg.h>`

Go to the source code of this file.

## Functions

XN_C_API XnStatus XN_C_DECL | xnOSStrPrefix (const XnChar *cpPrefixString, XnChar *cpDestString, const XnUInt32 nDestLength)
XN_C_API XnStatus XN_C_DECL | xnOSStrAppend (XnChar *cpDestString, const XnChar *cpSrcString, const XnUInt32 nDestLength)
XN_C_API XnStatus XN_C_DECL | xnOSStrCopy (XnChar *cpDestString, const XnChar *cpSrcString, const XnUInt32 nDestLength)
XN_C_API XnUInt32 XN_C_DECL | xnOSStrLen (const XnChar *cpStr)
XN_C_API XnStatus XN_C_DECL | xnOSStrNCopy (XnChar *cpDestString, const XnChar *cpSrcString, const XnUInt32 nCopyLength, const XnUInt32 nDestLength)
XN_C_API XnStatus XN_C_DECL | xnOSStrCRC32 (const XnChar *cpString, XnUInt32 *nCRC32)
XN_C_API XnStatus XN_C_DECL | xnOSStrNCRC32 (XnUChar *cpBuffer, XnUInt32 nBufferSize, XnUInt32 *nCRC32)
XN_C_API XnStatus XN_C_DECL | xnOSStrFormat (XnChar *cpDestString, const XnUInt32 nDestLength, XnUInt32 *pnCharsWritten, const XnChar *cpFormat,...)
XN_C_API XnStatus XN_C_DECL | xnOSStrFormatV (XnChar *cpDestString, const XnUInt32 nDestLength, XnUInt32 *pnCharsWritten, const XnChar *cpFormat, va_list args)
XN_C_API XnInt32 XN_C_DECL | xnOSStrCmp (const XnChar *cpFirstString, const XnChar *cpSecondString)
XN_C_API XnInt32 XN_C_DECL | xnOSStrCaseCmp (const XnChar *cpFirstString, const XnChar *cpSecondString)
XN_C_API void XN_C_DECL | xnOSItoA (XnInt32 nValue, XnChar *cpStr, XnInt32 nBase)
XN_C_API XnChar *XN_C_DECL | xnOSStrDup (const XnChar *strSource)
XN_C_API XnStatus XN_C_DECL | xnOSGetEnvironmentVariable (const XnChar *strEnv, XnChar *strDest, XnUInt32 nDestSize)
XN_C_API XnStatus XN_C_DECL | xnOSExpandEnvironmentStrings (const XnChar *strSrc, XnChar *strDest, XnUInt32 nDestSize)

## Function Documentation

## xnOSExpandEnvironmentStrings()

XN_C_API XnStatus XN_C_DECL xnOSExpandEnvironmentStrings | ( | const XnChar * | strSrc,
|  | XnChar * | strDest,
|  | XnUInt32 | nDestSize )

## xnOSGetEnvironmentVariable()

XN_C_API XnStatus XN_C_DECL xnOSGetEnvironmentVariable | ( | const XnChar * | strEnv,
|  | XnChar * | strDest,
|  | XnUInt32 | nDestSize )

## xnOSItoA()

XN_C_API void XN_C_DECL xnOSItoA | ( | XnInt32 | nValue,
|  | XnChar * | cpStr,
|  | XnInt32 | nBase )

## xnOSStrAppend()

XN_C_API XnStatus XN_C_DECL xnOSStrAppend | ( | XnChar * | cpDestString,
|  | const XnChar * | cpSrcString,
|  | const XnUInt32 | nDestLength )

## xnOSStrCaseCmp()

XN_C_API XnInt32 XN_C_DECL xnOSStrCaseCmp | ( | const XnChar * | cpFirstString,
|  | const XnChar * | cpSecondString )

## xnOSStrCmp()

XN_C_API XnInt32 XN_C_DECL xnOSStrCmp | ( | const XnChar * | cpFirstString,
|  | const XnChar * | cpSecondString )

## xnOSStrCopy()

XN_C_API XnStatus XN_C_DECL xnOSStrCopy | ( | XnChar * | cpDestString,
|  | const XnChar * | cpSrcString,
|  | const XnUInt32 | nDestLength )

## xnOSStrCRC32()

XN_C_API XnStatus XN_C_DECL xnOSStrCRC32 | ( | const XnChar * | cpString,
|  | XnUInt32 * | nCRC32 )

## xnOSStrDup()

XN_C_API XnChar *XN_C_DECL xnOSStrDup | ( | const XnChar * | strSource | ) |

Should be freed using xnOSFree()

## xnOSStrFormat()

XN_C_API XnStatus XN_C_DECL xnOSStrFormat | ( | XnChar * | cpDestString,
|  | const XnUInt32 | nDestLength,
|  | XnUInt32 * | pnCharsWritten,
|  | const XnChar * | cpFormat,
|  |  | ... )

## xnOSStrFormatV()

XN_C_API XnStatus XN_C_DECL xnOSStrFormatV | ( | XnChar * | cpDestString,
|  | const XnUInt32 | nDestLength,
|  | XnUInt32 * | pnCharsWritten,
|  | const XnChar * | cpFormat,
|  | va_list | args )

## xnOSStrLen()

XN_C_API XnUInt32 XN_C_DECL xnOSStrLen | ( | const XnChar * | cpStr | ) |

## xnOSStrNCopy()

XN_C_API XnStatus XN_C_DECL xnOSStrNCopy | ( | XnChar * | cpDestString,
|  | const XnChar * | cpSrcString,
|  | const XnUInt32 | nCopyLength,
|  | const XnUInt32 | nDestLength )

## xnOSStrNCRC32()

XN_C_API XnStatus XN_C_DECL xnOSStrNCRC32 | ( | XnUChar * | cpBuffer,
|  | XnUInt32 | nBufferSize,
|  | XnUInt32 * | nCRC32 )

## xnOSStrPrefix()

XN_C_API XnStatus XN_C_DECL xnOSStrPrefix | ( | const XnChar * | cpPrefixString,
|  | XnChar * | cpDestString,
|  | const XnUInt32 | nDestLength )